org.apache.hadoop.fs

## Class FsShellPermissions.Chgrp

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.hadoop.fs.shell.Command
    - - org.apache.hadoop.fs.shell.FsCommand
      - - org.apache.hadoop.fs.FsShellPermissions
        - - org.apache.hadoop.fs.FsShellPermissions.Chown
          - - org.apache.hadoop.fs.FsShellPermissions.Chgrp

- All Implemented Interfaces:
    Configurable
  Enclosing class:
    org.apache.hadoop.fs.FsShellPermissions

      public static class FsShellPermissions.Chgrp
      extends FsShellPermissions.Chown

  Used to change group of files

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.fs.FsShellPermissions

      `FsShellPermissions.Chgrp, FsShellPermissions.Chmod, FsShellPermissions.Chown`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DESCRIPTION`
    `static String` | `NAME`
    `static String` | `USAGE`

    - ### Fields inherited from class org.apache.hadoop.fs.FsShellPermissions.Chown

      `group, owner`

    - ### Fields inherited from class org.apache.hadoop.fs.shell.Command

      `args, COMMAND_DESCRIPTION_FIELD, COMMAND_NAME_FIELD, COMMAND_USAGE_FIELD, err, exceptions, exitCode, name, numErrors, out, recursive`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chgrp()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `parseOwnerGroup(String groupStr)` Parse the first argument into an owner and group

    - ### Methods inherited from class org.apache.hadoop.fs.FsShellPermissions.Chown

      `processOptions, processPath`

    - ### Methods inherited from class org.apache.hadoop.fs.FsShellPermissions

      `registerCommands`

    - ### Methods inherited from class org.apache.hadoop.fs.shell.FsCommand

      `getCommandName, processRawArguments, run, runAll`

    - ### Methods inherited from class org.apache.hadoop.fs.shell.Command

      `displayError, displayError, displayWarning, exitCodeForError, expandArgument, expandArguments, getCommandFactory, getDepth, getDescription, getListingGroupSize, getName, getReplacementCommand, getUsage, isDeprecated, isPathRecursable, isRecursive, isSorted, postProcessPath, processArgument, processArguments, processNonexistentPath, processPathArgument, processPaths, processPaths, recursePath, run, run, setCommandFactory, setName, setRecursive`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### USAGE

          public static final String USAGE

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Chgrp

          public Chgrp()

  - ### Method Detail

    - #### parseOwnerGroup

          protected void parseOwnerGroup(String groupStr)

      Description copied from class: `FsShellPermissions.Chown`
      Parse the first argument into an owner and group
      Overrides:
        `parseOwnerGroup` in class `FsShellPermissions.Chown`
      Parameters:
        `groupStr` - string describing new ownership

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.